<?xml version = "1.0" encoding = "UTF-8"?>


<!--$Revision: 1.1 $-->
<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsi = "http://www.w3.org/2001/XMLSchema-instance" 
	xmlns:rim = "urn:oasis:names:tc:ebxml-regrep:rim:xsd:2.1"
	xmlns:oag="http://www.openapplications.org/oagis" 
	xmlns:xlink = "http://www.w3.org/1999/xlink" version = "1.0">

	<xsl:import href="./convertBOD.xsl"/>

	<!-- How to avoid template duplication from imported stylesheet?? -->
	<!-- Need to do so while keeping result in correct order per RIM schema. -->
	<xsl:template match = "rim:ExtrinsicObject">  

		<!-- Get the BOD element which 2nd element in root node -->	  
		<xsl:variable name = "BOD" select = "../*[position()=2]"/>  
		<xsl:variable name = "BODid" select = "$BOD/oag:ApplicationArea/oag:BODId"/>  


		<!-- Make an ExtrinsicObject in the output -->		  
		<rim:ExtrinsicObject id = "{$BODid}" objectType = "{@objectType}">    

			<!-- Copy the name straight through -->			    
			<xsl:copy-of select = "rim:Name"/>

			<!-- Copy the description straight through -->			    
			<xsl:copy-of select = "rim:Description"/>

			<Slot name = "revision">
				<ValueList>
					<Value><xsl:value-of select="$BOD/@revision"/></Value>
				</ValueList>
			</Slot>


			<Slot name = "lang">
				<ValueList>
					<Value><xsl:value-of select="$BOD/@lang" /></Value>
				</ValueList>
			</Slot>


			<Slot name = "environment">
				<ValueList>
					<Value><xsl:value-of select="$BOD/@environment" /></Value>
				</ValueList>
			</Slot>


			<Slot name = "CreationDateTime">
				<ValueList>
					<Value><xsl:value-of select="$BOD/oag:ApplicationArea/oag:CreationDateTime" /></Value>
				</ValueList>
			</Slot>

			<Slot name = "AcknowledgeCode">
				<ValueList>
					<Value><xsl:value-of select="$BOD/oag:DataArea/oag:Acknowledge/oag:Code" /></Value>
				</ValueList>
			</Slot>

		</rim:ExtrinsicObject>  



	</xsl:template>		


</xsl:stylesheet>